| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Wrapper4InputSource Class Reference

Wrap a SAX InputSource object to a DOM InputSource. More...

Inheritance diagram for Wrapper4InputSource:

[legend]
Collaboration diagram for Wrapper4InputSource:

[legend]
List of all members.

## Public Methods

Constructors and Destructor
| Wrapper4InputSource (InputSource *const inputSource, const bool adoptFlag=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor. More...
virtual | ~Wrapper4InputSource ()
| Destructor. More...
Virtual input source interface
BinInputStream * | makeStream () const
Getter methods
const XMLCh * | getEncoding () const
const XMLCh * | getPublicId () const
const XMLCh * | getSystemId () const
const XMLCh * | getBaseURI () const
| Get the base URI to be used for resolving relative URIs to absolute URIs. More...
bool | getIssueFatalErrorIfNotFound () const
Setter methods
void | setEncoding (const XMLCh *const encodingStr)
void | setPublicId (const XMLCh *const publicId)
void | setSystemId (const XMLCh *const systemId)
void | setBaseURI (const XMLCh *const baseURI)
| Set the base URI to be used for resolving relative URIs to absolute URIs. More...
void | setIssueFatalErrorIfNotFound (const bool flag)
void | release ()
| Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it. More...

## Detailed Description

Wrap a SAX InputSource object to a DOM InputSource.

## Constructor & Destructor Documentation

Wrapper4InputSource::Wrapper4InputSource | ( | InputSource *const | inputSource,
|  | const bool | adoptFlag = true,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

Constructor.

Wrap a SAX InputSource and pretend it to be a DOMInputSource. By default, the wrapper will adopt the SAX InputSource that is wrapped.

Parameters:

  inputSource | The SAX InputSource to be wrapped
  adoptFlag | Indicates if the wrapper should adopt the wrapped SAX InputSource. Default is true.
  manager | The MemoryManager to use to allocate objects

virtual Wrapper4InputSource::~Wrapper4InputSource | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

const XMLCh * Wrapper4InputSource::getBaseURI | ( |  | ) | const`[virtual]`

Get the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent. Delegated to the wrapped intput source object.

"Experimental - subject to change"

Returns:
  The base URI.

See also:
  setBaseURI

Since:
  DOM Level 3

Implements DOMInputSource.

const XMLCh* Wrapper4InputSource::getEncoding | ( |  | ) | const`[virtual]`

"Experimental - subject to change"

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method. This method will delegate to the wrapped input source to return name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns:
  The forced encoding, or null if none was supplied.

See also:
  setEncoding

Implements DOMInputSource.

bool Wrapper4InputSource::getIssueFatalErrorIfNotFound | ( |  | ) | const`[virtual]`

"Experimental - subject to change"

Get the flag that indicates if the parser should issue fatal error if this input source is not found. Delegated to the wrapped input source object.

Returns:
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also:
  setIssueFatalErrorIfNotFound

Implements DOMInputSource.

const XMLCh* Wrapper4InputSource::getPublicId | ( |  | ) | const`[virtual]`

"Experimental - subject to change"

Get the public identifier for this input source. Delegated to the wrapped input source object.

Returns:
  The public identifier, or null if none was supplied.

See also:
  setPublicId

Implements DOMInputSource.

const XMLCh* Wrapper4InputSource::getSystemId | ( |  | ) | const`[virtual]`

"Experimental - subject to change"

Get the system identifier for this input source. Delegated to the wrapped input source object.

If the system ID is a URL, it will be fully resolved.

Returns:
  The system identifier.

See also:
  setSystemId

Implements DOMInputSource.

BinInputStream* Wrapper4InputSource::makeStream | ( |  | ) | const`[virtual]`

"Experimental - subject to change"

Makes the byte stream for this input source.

The function will call the makeStream of the wrapped input source. The returned stream becomes the parser's property.

See also:
  BinInputStream

Implements DOMInputSource.

void Wrapper4InputSource::release | ( |  | ) | `[virtual]`

| Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it. Access to a released object will lead to unexpected result. Implements DOMInputSource.

void Wrapper4InputSource::setBaseURI | ( | const XMLCh *const | baseURI | ) | `[virtual]`

Set the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent. This will update the wrapped input source object.

"Experimental - subject to change"

Parameters:

  baseURI | The base URI.

See also:
  getBaseURI

Since:
  DOM Level 3

Implements DOMInputSource.

void Wrapper4InputSource::setEncoding | ( | const XMLCh *const | encodingStr | ) | `[virtual]`

"Experimental - subject to change"

Set the encoding which will be required for use with the XML text read via a stream opened by this input source. This will update the wrapped input source object.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters:

  encodingStr | The name of the encoding to force.

Implements DOMInputSource.

void Wrapper4InputSource::setIssueFatalErrorIfNotFound | ( | const bool | flag | ) | `[virtual]`

"Experimental - subject to change"

Indicates if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. This will update the wrapped input source object.

Parameters:

  flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also:
  getIssueFatalErrorIfNotFound

Implements DOMInputSource.

void Wrapper4InputSource::setPublicId | ( | const XMLCh *const | publicId | ) | `[virtual]`

"Experimental - subject to change"

Set the public identifier for this input source. This will update the wrapped input source object.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

Parameters:

  publicId | The public identifier as a string.

See also:
  Locator::getPublicId , SAXParseException::getPublicId , getPublicId

Implements DOMInputSource.

void Wrapper4InputSource::setSystemId | ( | const XMLCh *const | systemId | ) | `[virtual]`

"Experimental - subject to change"

Set the system identifier for this input source. This will update the wrapped input source object.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters:

  systemId | The system identifier as a string.

See also:
  getSystemId , Locator::getSystemId , SAXParseException::getSystemId

Implements DOMInputSource.

The documentation for this class was generated from the following file:

- Wrapper4InputSource.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.